Page MenuHomePhabricator

AMDGPU: Custom lower v2i32 loads
ClosedPublic

Authored by arsenm on Apr 22 2016, 3:15 PM.

Details

Reviewers
tstellarAMD
Summary

This will allow us to split up 64-bit private accesses when necessary.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 54738.Apr 22 2016, 3:15 PM
arsenm retitled this revision from to AMDGPU: Custom lower v2i32 loads.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
tstellarAMD accepted this revision.Apr 22 2016, 5:51 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Apr 22 2016, 5:51 PM
arsenm updated this revision to Diff 55681.Apr 29 2016, 4:06 PM
arsenm edited edge metadata.

Fix leaving illegal global unaligned loads /stores. Disable checks for byte packing and unpacking, these can be fixed later.

arsenm closed this revision.May 10 2016, 5:39 PM

r268296